#
# spec file for package linuxrc-devtools
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linuxrc-devtools
Version:        0.14
Release:        lp151.2.2
Source:         %{name}-%{version}.tar.xz

BuildRequires:  make

Url:            http://github.com/openSUSE/linuxrc-devtools
Summary:        Tools to submit from Git to OBS via Jenkins
License:        MIT
Group:          Development/Tools

BuildArch:      noarch

%description
This is a collection of scripts used to connect github via jenkins to the
open build service.

%prep
%setup -q

%build

%install
make install DESTDIR="${RPM_BUILD_ROOT}"

%files
%defattr(-,root,root)
%{_bindir}/build_it
%{_bindir}/git2log
%{_bindir}/git2tags
%{_bindir}/make_package
%{_bindir}/submit_it
%{_bindir}/tobs

%changelog
* Tue Jan  9 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#15
- more complete OBS state check
- 0.14
* Fri Sep 15 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#14
- don't query branch from git
- 0.13
* Thu Sep 14 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#13
- ensure dates never decrease in changelog
- 0.12
* Thu Sep 14 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#12
- ensure the newly created changelog is used
* Tue Sep 12 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#11
- default to git project name if no package name is specified
- install also make_package script
- add --no-wait option to submit_it script
- allow to use an alternative spec file
- 0.11
* Thu Aug 17 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#10
- fix typo in make_package
- 0.10
* Thu Aug 17 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#9
- write VERSION file only when really needed
- update link to home project in git2log
- skip *.changes file in 'package' dir
- add --prepare option to build_it script
- add make_package script
- 0.9
* Thu Aug 10 2017 wfeldt@opensuse.org
- added --(no-)keep-date options
- 0.8
* Wed May  3 2017 wfeldt@opensuse.org
- started rewrite of git2log script
- implement start tag, switch default format to obs
- document git2log
- minor doc update
- fix typo
- another doc update
- adjust 'internal' changelog format to match the old format
- fix version auto-increment
- update tobs to use the new git2log to handle changelog
- use installed git2log script
- git2log: if start tag is specified, make sure it exists
- treat commits ahead of most recent tag as belonging together
- join successive commits of the same author
- add comments to git2log
- add --package option to tobs
- allow --target as alias to --dist and support --package option
- build_it: support alternative --branch option
- submit_it doesn't need git repo to work
- allow options in any order in build_it and submit_it
- no need to check JOB_NAME in submit_it
- tobs: allow submit request across different build services
- modify default PATH to include $HOME/bin
- show merge message at correct place
- avoid empty log message when version info is missing
- add --(no-)join-author option
- added '@-log@' tag (delete commit message)
- 0.7
* Wed Nov 23 2016 snwint@suse.com
- merge pr gh#openSUSE/linuxrc-devtools#7
- auto-add github pull request tag to changelog
- 0.6
* Tue Sep 29 2015 snwint@suse.com
- 'make clean' deletes *~ files and package/ directory
- 0.5
* Tue Sep 29 2015 snwint@suse.com
- Add information about linuxrc-devtools OBS project
- 0.4
* Fri Sep 18 2015 mvidner@suse.com
- Initial packaging
- 0.3
